import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


export const useData = (csvurl) =>{
	const [data, setData] = useState(null);

  useEffect(() => {
			const row = (d) => {
      		d.Avalue = +d['A']
          d.Tvalue = +d['T']
     		  d.Cvalue = +d['C'] 
          d.Gvalue = +d['G']
        return d;
   		 };
      
    	csv(csvurl, row).then(data=>{
    	  	setData(data)
    		})
  		}, [])
  return data
}